Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class PetriOutPort

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SimpleNode
                  SEdit.Formalisms.Petri.PetriPlace
                      SEdit.Formalisms.Petri.PetriOutPort

All Implemented Interfaces:
  PetriPlaceBehavior

Direct Known Subclasses:
  PetriACLOutPort, PetriActOutPort, PetriStringGROutPort, PetriStringOutPort

    public class PetriOutPort

extends PetriPlace

Field Summary
`protected java.lang.String` | `messageType`

Fields inherited from class SEdit.SimpleNode
`inArrows, outArrows`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`PetriOutPort()`

Method Summary
`java.lang.String` | `getMessageType()`
`void` | `produce(int j)`
`void` | `setMessageType(java.lang.String s)`

Methods inherited from class SEdit.Formalisms.Petri.PetriPlace
`addColoredToken, addToken, consume, consume, getColoredTokens, getNumberTokens, isEmpty, modifyColoredTokens, produce`

Methods inherited from class SEdit.SimpleNode
`addInArrow, addOutArrow, delete, deleteInArrow, deleteOutArrow, getInArrows, getInArrows, getOutArrows, getOutArrows, isConnectable, toString`

Methods inherited from class SEdit.SNode
`activate, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### messageType

    protected java.lang.String messageType

Constructor Detail

### PetriOutPort

    public PetriOutPort()

Method Detail

### getMessageType

    public java.lang.String getMessageType()

### setMessageType

    public void setMessageType(java.lang.String s)

### produce

    public void produce(int j)

  Specified by:
    `produce` in interface `PetriPlaceBehavior`
  Overrides:
    `produce` in class `PetriPlace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.